Name:           lxdm
Version:        0.4.1
Release:        b1
Summary:        Lightweight X11 Display Manager

Group:          User Interface/Desktops
License:        GPLv2+ and LGPLv2+
URL:            http://lxde.org
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.12.0
#BuildRequires:  iso-codes-devel
#BuildRequires:  ConsoleKit-devel
BuildRequires:  pam-devel
BuildRequires:  intltool >= 0.40.0
Requires:       pam
#Requires:       /sbin/shutdown
#Requires:       desktop-backgrounds-compat
# needed for anaconda to boot into runlevel 5 after install
Provides:       service(graphical-login)


%description
LXDM is the future display manager of LXDE, the Lightweight X11 Desktop
environment. It is designed as a lightweight alternative to replace GDM or
KDM in LXDE distros. It's still in very early stage of development.


%prep
%setup -q
#patch1 -p1 -b .background
#patch10 -p1 -b .config
#patch11 -p1 -b .orig

cat << EOF > tempfiles.lxdm.conf
d %{_localstatedir}/run/%{name} 0755 root root
EOF

%build
%{?git_version:sh autogen.sh}
automake
%configure
make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}

# these files are not in the package, but should be owned by lxdm
#touch %{buildroot}%{_sysconfdir}/%{name}/xinitrc
mkdir -p %{buildroot}%{_localstatedir}/run/%{name}
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}
touch %{buildroot}%{_localstatedir}/lib/%{name}.conf


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
#%doc AUTHORS COPYING README TODO gpl-2.0.txt lgpl-2.1.txt
%dir %{_sysconfdir}/%{name}
#%ghost %config(noreplace,missingok) %{_sysconfdir}/%{name}/xinitrc
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/%{name}/Xsession
#%config(noreplace) %attr(755,root,root) %{_sysconfdir}/%{name}/LoginReady
#%config(noreplace) %attr(755,root,root) %{_sysconfdir}/%{name}/PostLogin
#%config(noreplace) %attr(755,root,root) %{_sysconfdir}/%{name}/PostLogout
#%config(noreplace) %attr(755,root,root) %{_sysconfdir}/%{name}/PreLogin
#%config(noreplace) %attr(755,root,root) %{_sysconfdir}/%{name}/PreReboot
#%config(noreplace) %attr(755,root,root) %{_sysconfdir}/%{name}/PreShutdown
%config %{_sysconfdir}/%{name}/lxdm.conf
%config(noreplace) %{_sysconfdir}/pam.d/%{name}

%{_sbindir}/%{name}
%{_sbindir}/lxdm-binary
%{_bindir}/lxdm-config
%{_libexecdir}/lxdm-greeter-gtk
#%{_libexecdir}/lxdm-greeter-gdk
%{_libexecdir}/lxdm-numlock
%{_datadir}/%{name}/

%if 0%{?fedora} >= 15
%ghost %dir %{_localstatedir}/run/%{name}
%else
%dir %{_localstatedir}/run/%{name}
%endif

%dir %{_localstatedir}/lib/%{name}
%ghost %{_localstatedir}/lib/%{name}.conf


%changelog
* Mon Jan 23 2012 Yuichiro Nakada <berry@rberry.co.cc>
- Create for Berry Linux
